function carrega()
  audio = love.filesystem.load("audio/audio.lua")
  audio()
  carregaAudio()

  fase = 8
  fundo=love.graphics.newImage('imagens/fundos/ceu_tempestade.jpg')

  tb={0,0,0,0,0,0,0,0,0,0,0,0,0,0,
      0,1,2,2,2,2,2,2,2,2,2,2,1,0,
      0,3,2,2,2,0,2,2,0,2,2,2,3,0,
      0,2,0,0,2,0,2,2,0,2,0,0,2,0,
      0,2,0,0,2,0,2,2,0,2,0,0,2,0,
      0,2,0,0,2,0,2,2,0,2,0,0,2,0,
      0,2,0,0,2,0,2,2,0,2,0,0,2,0,
      0,2,2,2,2,2,3,3,2,2,2,2,2,0,
      0,2,2,2,2,3,2,2,3,2,2,2,2,0,
      0,2,0,0,0,2,0,0,2,0,0,0,2,0,
      0,2,0,0,0,2,0,0,2,0,0,0,2,0,
      0,2,0,0,0,2,0,0,2,0,0,0,2,0,
      0,2,2,2,2,2,0,0,2,2,2,2,2,0,
      0,0,0,0,0,0,0,0,0,0,0,0,0,0
    }
    
  controle = love.filesystem.load("variados/controle.lua")
  controle()
  carregaControle()
  
  jogador.x,bobposx = 32,32
  jogador.y,bobposy = 28,28
    
  relampagoArq = love.filesystem.load("cenario/relampago.lua")
  relampagoArq()
  carregaRelampago()
    
  passaroArq = love.filesystem.load("personagens/passaro.lua")
  passaroArq()
  carregaPassaro()
  passaroArq1 = love.filesystem.load("personagens/passaro1.lua")
  passaroArq1()
  carregaPassaro1()
  passaroArq2 = love.filesystem.load("personagens/passaro2.lua")
  passaroArq2()
  carregaPassaro2()
  
  chuvaArq = love.filesystem.load("cenario/chuva.lua")
  chuvaArq()
  carregaChuva()
end

--////////////////////////////////////////////////////////////////
function atualiza(dt)
  atualizaAudio()
  atualizaControle(dt)
  
  if contagemBases == 0 then
    if aguarda > 3 then
      sndfase:stop()
      pontos = pontos_final
      --grava a fase para continuar depois
      arquivo = love.filesystem.newFile("fase.lua", "w")
      arquivo:write("fase = "..fase)
      arquivo:close()
      arquivo1 = love.filesystem.newFile("ponto.lua", "w")
      arquivo1:write("pontos = "..570)
      arquivo1:close()
      tela = 14
      love.load()
    end
  end
  atualizaPassaro(dt)
  atualizaPassaro1(dt)
  atualizaPassaro2(dt)
  atualizaChuva(dt)
  atualizaRelampago(dt)
  
  --faz o barulho do relâmpago
  if temporizadorRelampago > 3 then
    sndrelampago:play()
  end
end

--////////////////////////////////////////////////////////////////
function desenha(dt)
  love.graphics.draw(fundo,0,0)
  --desenha cada uma das bases
  for e, f in ipairs(tb1) do
    if f.img == nil then
    else
      love.graphics.draw(f.img,f.x,f.y)
    end
  end
  --desenha o marcador do relâmpago
  if exibeMarcador == true then
    love.graphics.draw(marcadorRelampago,marcadorx,marcadory)
  end
  --desenha o relâmpago atrás do Bob
  if temporizadorRelampago > 3 and marcadory*eA < jogador.y + 30*eA then
    love.graphics.draw(relampago,relampagox,relampagoy)
  end
  --desenha o jogador
  love.graphics.draw(jogador.img,jogador.x,jogador.y,0,jogador.escalaX,jogador.escalaY,jogador.deslocaH,jogador.deslocaV)
  --desenha o relâmpago na frente do Bob
  if temporizadorRelampago > 3 and marcadory*eA >= jogador.y + 30*eA then
    love.graphics.draw(relampago,relampagox,relampagoy)
  end
  --desenha o pássaro
  love.graphics.draw(passaro.img,passaro.x,passaro.y,passaro.rot-30,1,1,25,17.5)
  love.graphics.draw(passaro1.img,passaro1.x,passaro1.y,passaro1.rot-30,1,1,25,17.5)
  love.graphics.draw(passaro2.img,passaro2.x,passaro2.y,passaro2.rot-30,1,1,25,17.5)
  
  --desenha a chuva
  desenhaChuva()
 
  desenhaControle(dt)
end