function carregaPassaro()
  if tela > 7 and tela < 16 then
  --cria o passaro
  passaro = {x=nil,y=nil,rot=0,img=love.graphics.newImage("imagens/personagens/passaro11.png")}
  --animacao do pássaro
  animacaoPassaro = {}
  local a = nil
  for a=1,3 do
    animacaoPassaro[a] = love.graphics.newImage("imagens/personagens/passaro1"..a..".png")
  end
  contadorAnimacaoPassaro = 0
  quadroPassaro = 1
  
  geraPosicao()
  
  --posição inicial do pássaro
  passaro.x = posx3
  passaro.y = posy3
  
  --temporizador
  contadorPassaro = 0
end
end

function geraPosicao()
  if tela > 7 and tela < 16 then
    --posição aleatória para o pássaro
  --em x
  local posx = love.math.random(-100,0)
  local posx1 = love.math.random(650,750)
  local posx2 = love.math.random(1,2)
  if posx2 == 1 then
    posx3 = posx
  else
    posx3 = posx1
  end
  --em y
  local posy = love.math.random(-100,0)
  local posy1 = love.math.random(490,590)
  local posy2 = love.math.random(1,2)
  if posy2 == 1 then
    posy3 = posy
  else
    posy3 = posy1
  end
end
end

function atualizaPassaro(dt)
  if tela > 7 and tela < 16 then
  --anima o pássaro
  contadorAnimacaoPassaro = contadorAnimacaoPassaro + dt
  if contadorAnimacaoPassaro >= 0.3 then
    contadorAnimacaoPassaro = 0
    quadroPassaro = quadroPassaro + 1
    if quadroPassaro > 3 then
      quadroPassaro = 1
    end
  end
  --faz a imagem do pássaro ser a animação
  passaro.img = animacaoPassaro[quadroPassaro]  
  
  --pega a distância entre o pássaro e o jogador
  local direcao_x = passaro.x - jogador.x
  local direcao_y = passaro.y - jogador.y
  distancia = math.sqrt(direcao_x * direcao_x + direcao_y * direcao_y)
  
  --faz o pássaro ir na direção do jogador até uma certa distância
  if distancia > 30 and contadorPassaro < 4 then
    raio = math.atan2(((jogador.y+20)-passaro.y),((jogador.x+20)-passaro.x))
    passaro.y = passaro.y + ((30*math.sin(raio)) * dt)
    passaro.x = passaro.x + ((30*math.cos(raio)) * dt)
    passaro.rot = raio
  end
  if distancia > 10 and distancia < 30 then
  	raio = raio
  	passaro.y = passaro.y + ((30*math.sin(raio)) * dt)
  	passaro.x = passaro.x + ((30*math.cos(raio)) * dt)
  	passaro.rot = raio
    --pemite que o Bob seja ferido
    if tiraVital == true and morreu == 0 then
      vital = vital - 5 * dt
      if vital < 1 then
        jogador.img = love.graphics.newImage('imagens/jogador/morto.png')
      end
    end
  end
  
  --quando se aproxima, inicializa o contador
  if distancia < 30 then
    contadorPassaro = contadorPassaro + 1 * dt
    if contadorPassaro > 3 and contadorPassaro < 4 then
      geraPosicao()
    end
  end
  --faz o pássaro ir na direção aletaória gerada por geraPosicao()
  if contadorPassaro > 4 then
    raio = math.atan2((posy3-passaro.y),(posx3-passaro.x))
    passaro.y = passaro.y + ((30*math.sin(raio)) * dt)
    passaro.x = passaro.x + ((30*math.cos(raio)) * dt)
    passaro.rot = raio
  end
  --e quando chega lá, reinicia o pássaro para repetir tudo
  if contadorPassaro > 4 and passaro.x*eL > 700*eL or passaro.x*eL < -60*eL or passaro.y*eA > 540*eA or passaro.y*eA < -50*eA then
    carregaPassaro()
  end
  end
end  