function carregaPassaro2()
  if tela > 12 and tela < 16 then
  --cria o passaro
  passaro2 = {x=nil,y=nil,rot=0,img=love.graphics.newImage("imagens/personagens/passaro31.png")}
  --animacao do pássaro
  animacao2 = {}
  local a = nil
  for a=1,3 do
    animacao2[a] = love.graphics.newImage("imagens/personagens/passaro3"..a..".png")
  end
  
  geraPosicao2()
  
  --posição inicial do pássaro
  passaro2.x = posx32
  passaro2.y = posy32
  
  --temporizador
  contador2 = 0
end
end

function geraPosicao2()
  if tela > 12 and tela < 16 then
    --posição aleatória para o pássaro
  --em x
  local posx = love.math.random(-100,0)
  local posx1 = love.math.random(650,750)
  local posx2 = love.math.random(1,2)
  if posx2 == 1 then
    posx32 = posx
  else
    posx32 = posx1
  end
  --em y
  local posy = love.math.random(-100,0)
  local posy1 = love.math.random(490,590)
  local posy2 = love.math.random(1,2)
  if posy2 == 1 then
    posy32 = posy
  else
    posy32 = posy1
  end
end
end

function atualizaPassaro2(dt)
  if tela > 12 and tela < 16 then
  --faz a imagem do pássaro ser a animação
  passaro2.img = animacao2[quadroPassaro]  
  
  --pega a distância entre o pássaro e o jogador
  local direcao_x = passaro2.x - jogador.x
  local direcao_y = passaro2.y - jogador.y
  distancia2 = math.sqrt(direcao_x * direcao_x + direcao_y * direcao_y)
  
  --faz o pássaro ir na direção do jogador até uma certa distância
  if distancia2 > 30 and contador2 < 4 then
    raio2 = math.atan2(((jogador.y+20)-passaro2.y),((jogador.x+20)-passaro2.x))
    passaro2.y = passaro2.y + ((30*math.sin(raio2)) * dt)
    passaro2.x = passaro2.x + ((30*math.cos(raio2)) * dt)
    passaro2.rot = raio2
  end
  if distancia2 > 10 and distancia2 < 30 then
  	raio2 = raio2
  	passaro2.y = passaro2.y + ((30*math.sin(raio2)) * dt)
  	passaro2.x = passaro2.x + ((30*math.cos(raio2)) * dt)
  	passaro2.rot = raio2
    --pemite que o Bob seja ferido
    if tiraVital == true and morreu == 0 then
      vital = vital - 5 * dt
      if vital < 1 then
        jogador.img = love.graphics.newImage('imagens/jogador/morto.png')
      end
    end
  end
  
  --quando se aproxima, inicializa o contador
  if distancia2 < 30 then
    contador2 = contador2 + 1 * dt
    if contador2 > 3 and contador2 < 4 then
      geraPosicao1()
    end
  end
  --faz o pássaro ir na direção aletaória gerada por geraPosicao()
  if contador2 > 4 then
    raio2 = math.atan2((posy32-passaro2.y),(posx32-passaro2.x))
    passaro2.y = passaro2.y + ((30*math.sin(raio2)) * dt)
    passaro2.x = passaro2.x + ((30*math.cos(raio2)) * dt)
    passaro2.rot = raio2
  end
  --e quando chega lá, reinicia o pássaro para repetir tudo
  if contador2 > 4 and passaro2.x*eL > 700*eL or passaro2.x*eL < -60*eL or passaro2.y*eA > 540*eA or passaro2.y*eA < -50*eA then
    carregaPassaro2()
  end 
end
end