function carrega()
  audio = love.filesystem.load("audio/audio.lua")
  audio()
  carregaAudio()
  
  fase = 11
  --temporizador de transição entre uma fase e outra
  aguarda = 0
  --variável utilizada para contar as bases desaparecidas
  contagemBases = 0
  --carrega a imagem do plano de funco
  fundo=love.graphics.newImage('imagens/fundos/bg_lago.jpg')
  --carrega a imagem do painel
  painel = love.graphics.newImage('imagens/cenario/painel.png')
  --imagem de parabéns
  parabens = {x=40,y=300,img=love.graphics.newImage("imagens/cenario/parabens_"..idioma..".png")}
  --variável que impede o Bob de andar quando está caindo
  podeMover = true
  --variáveis responsáveis pela pontuação
  pontos_final = 0
  pontos_final = pontos_final + pontos
  --variável que cuida da exibição do Bob
  desenhaBob = true
  --variável que cuida da exibição da água
  desenhaAgua = false
  --temporizador
  tempo = 60
  --carrega as imagens dos direcionais
  esq = {x=440,y=400,img=love.graphics.newImage('imagens/botoes/btn_esquerda.png')}
  baixo = {x=505,y=400,img=love.graphics.newImage('imagens/botoes/btn_baixo.png')}
  cima = {x=505,y=330,img=love.graphics.newImage('imagens/botoes/btn_cima.png')}
  dir = {x=570,y=400,img=love.graphics.newImage('imagens/botoes/btn_direita.png')}
  
  --carrega as imagens das bases
  bases = {}
  for a=1,5 do
    bases[a] = love.graphics.newImage('imagens/bases/base'..a..'.png')
  end
  
  --cria uma grade no campo de jogo  
  tbLinha = {0,32,64,96,128,160,192,224,256,288,320,352,384,416}
  tbColuna = {32,64,96,128,160,192,224,256,288,320,352,384,416,448}
		
  --a posição de cada base na grade (0 significa nada)
  tb={0,0,0,0,0,0,0,0,0,0,0,0,0,0,
      0,1,2,1,0,0,0,0,0,0,0,0,0,0,
      0,0,2,1,0,0,0,0,0,0,0,0,5,0,
      0,0,2,1,0,0,0,0,2,2,2,2,2,0,
      0,0,2,1,0,0,0,0,0,0,0,0,5,0,
      0,0,2,1,0,0,0,0,2,2,2,2,2,0,
      0,0,2,1,0,0,0,0,0,0,0,0,5,0,
      0,0,2,1,0,0,0,0,2,2,2,2,2,0,
      0,0,2,1,0,0,0,0,0,0,0,0,5,0,
      0,0,2,1,0,0,0,0,2,2,2,2,2,0,
      0,0,2,1,0,0,0,0,0,0,0,0,5,0,
      0,0,2,1,0,0,0,0,2,2,2,2,2,0,
      0,0,2,1,0,0,0,0,0,0,0,0,5,0,
      0,0,0,0,0,0,0,0,0,0,0,0,0,0
    }
    
    --tabela contendo cada base em sua devida posição
  tb1={}
  --coloca cada base em tb1 
  local contador = 0
  for a=1,#tbColuna do
    local coluna=tbColuna[a]
    for b=1,#tbLinha do
      linha=tbLinha[b]
      contador = contador + 1
      local base=tb[contador]
      if base == 0 then
        ba={x=linha,y=coluna,pisou=0,pisado=0,base=0}
        table.insert(tb1,ba)
      elseif base == 1 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=1}
        table.insert(tb1,ba)
      elseif base == 2 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=2}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 3 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=3}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 4 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=4}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 5 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=5}
        table.insert(tb1,ba)
      end      
    end
  end
  
  --cria o jogador
  jogador = {x=96,y=32,escalaX=1,escalaY=1,deslocaH=0,deslocaV=0,img=love.graphics.newImage('imagens/jogador/d0.png')}
    
  --cria os troncos e posiciona eles
  --cria a tabela que vai conter cada tronco
  troncos={}
  local a = 0
  local b = 0
  troncoNum = 0
  for a=1,4 do
    if a == 1 or a == 3 then
      for b=1,7 do
        tronco = {x=96+(32*a),y=--[[-60--]]300 + b * -76,img=love.graphics.newImage("imagens/bases/tronco1.png")}
        table.insert(troncos,tronco)
      end
    elseif a == 2 or a == 4 then
      for b=1,7 do
        tronco = {x=96+(32*a),y=480 + b * 76,img=love.graphics.newImage("imagens/bases/tronco1.png")}
        table.insert(troncos,tronco)
      end
    end
  end
          
    
  --variável que mostra se o Bob está sobre algum tronco
  taNoTronco = false
  --animacao do tronco 1
  animaTronco = {}
  local a = nil
  for a=1,6 do
    animaTronco[a] = love.graphics.newImage("imagens/bases/tronco"..a..".png")
  end
  contadorTronco = 0
  quadroTronco = 1
  
  --cria a água
  agua = {x=nil,y=nil,img=nil}
  --animacao da água
  animaAgua = {}
  local a = nil
  for a=1,4 do
    animaAgua[a] = love.graphics.newImage("imagens/cenario/agua"..a..".png")
  end
  contadorAgua = 0
  quadroAgua = 1
end

--////////////////////////////////////////////////////////////////
function atualiza(dt)
  atualizaAudio()
  --anima a água
  if desenhaAgua == true then
    contadorAgua = contadorAgua + dt
    if contadorAgua >= 0.3 then
      contadorAgua = 0
      quadroAgua = quadroAgua + 1
    end
  end
  --faz a imagem da água ser a animação
  agua.img = animaAgua[quadroAgua]
  --faz reiniciar a fase quando o Bob cai ou se ele sair da cena
  --ou ir para a tela de game over
  if quadroAgua > 3 or jogador.y*eA > 430*eA then
    if vidas == 1 then
      tela = 3
      love.load()  
    else
      vidas = vidas - 1
      jogador.x = 96
      jogador.y = 32
      desenhaBob = true
      podeMover = true
      quadroAgua = 1
      desenhaAgua = false
    end
  end
  
  --anima os troncos
  contadorTronco = contadorTronco + dt
  if contadorTronco >= 0.3 then
    contadorTronco = 0
    quadroTronco = quadroTronco + 1
    if quadroTronco > 6 then
      quadroTronco = 1
    end
  end
    
  --associa a animação aos troncos
  --mas somente os da segunda e quarta coluna
  for a,b in ipairs(troncos) do
    if a > 7 and a < 15 or a > 21 then
      b.img = animaTronco[quadroTronco]
    end
  end
  
  --move os troncos
  --a primeira e terceira coluna movem pra cima, a segunda e quarta movem pra baixo
  for c,d in ipairs(troncos) do
    if c > 14 and c < 22 or c < 8 then
      d.y = d.y + 10 * dt
      if d.y > 490 then
        d.y = -60
      end
    elseif c > 7 and c < 15 or c > 21 then
      d.y = d.y - 15 * dt
      if d.y < -60 then
        d.y = 480
      end
    end
  end
  
  --as posições de colisão do Bob
  posx = jogador.x+15.5
  posy = jogador.y+50
  
  --verifica se o Bob está sobre algum tronco
  for e,f in ipairs(troncos) do
    if posx*eL > f.x*eL and posx*eL < (f.x + 32)*eL and posy*eA > f.y*eA and posy*eA < (f.y + 56)*eA then
      troncoNum = e
    end
    if e == troncoNum then
      if posx*eL > f.x*eL and posx*eL < (f.x+32)*eL and posy*eA > f.y*eA and posy*eA < (f.y+56)*eA then
        if troncoNum > 7 and troncoNum < 15 or troncoNum > 21 then
          if quadroTronco ~= 4 then
            taNoTronco = true
            jogador.y = f.y - 25
          else
            taNoTronco = false
          end
        else
          taNoTronco = true
          jogador.y = f.y - 25
        end        
      else
        taNoTronco = false
      end
    end
  end
  
  --cuida da colisão do jogador com cada base  
  for g,h in ipairs(tb1) do
    if posx*eL > h.x*eL and posx*eL < (h.x + 32)*eL and posy*eA > h.y*eA and posy*eA < (h.y + 32)*eA then        
    --se houver, muda as variáveis da base em colisão
      h.pisou = 1
      h.pisado = 1
      if jogador.x*eL < 128*eL or jogador.x*eL > 250*eL then
        if (jogador.y + 15.5)*eA > 32*eA and (jogador.y + 15.5)*eA < 64*eA then
          jogador.y = 28
        elseif (jogador.y + 15.5)*eA > 64*eA and (jogador.y + 15.5)*eA < 96*eA then
          jogador.y = 60
        elseif (jogador.y + 15.5)*eA > 96*eA and (jogador.y + 15.5)*eA < 128*eA then
          jogador.y = 92
        elseif (jogador.y + 15.5)*eA > 128*eA and (jogador.y + 15.5)*eA < 160*eA then
          jogador.y = 124
        elseif (jogador.y + 15.5)*eA > 160*eA and (jogador.y + 15.5)*eA < 192*eA then
          jogador.y = 156
        elseif (jogador.y + 15.5)*eA > 192*eA and (jogador.y + 15.5)*eA < 224*eA then
          jogador.y = 188
        elseif (jogador.y + 15.5)*eA > 224*eA and (jogador.y + 15.5)*eA < 256*eA then
          jogador.y = 220
        elseif (jogador.y + 15.5)*eA > 256*eA and (jogador.y + 15.5)*eA < 288*eA then
          jogador.y = 252
        elseif (jogador.y + 15.5)*eA > 288*eA and (jogador.y + 15.5)*eA < 320*eA then
          jogador.y = 284
        elseif (jogador.y + 15.5)*eA > 320*eA and (jogador.y + 15.5)*eA < 352*eA then
          jogador.y = 316
        elseif (jogador.y + 15.5)*eA > 352*eA and (jogador.y + 15.5)*eA < 384*eA then
          jogador.y = 348
        elseif (jogador.y + 15.5)*eA > 384*eA and (jogador.y + 15.5)*eA < 416*eA then
          jogador.y = 380
        elseif (jogador.y + 15.5)*eA > 416*eA and (jogador.y + 15.5)*eA < 448*eA then
          jogador.y = 412
        end
      end
    else
      h.pisado = 0
    end
    --e através dessas variáveis, muda a cor da base dependendo da imagem da base atual
    if h.pisou == 1 and h.pisado == 0 and h.base == 4 then 
      h.img = love.graphics.newImage('imagens/bases/base3.png')
      h.pisou = 0
      h.base = 3
    elseif h.pisou == 1 and h.pisado == 0 and h.base == 3 then
      h.img = love.graphics.newImage('imagens/bases/base2.png')
      h.base = 2
      h.pisou = 0
    elseif h.pisou == 1 and h.pisado == 1 and h.base == 5 then
      jogador.x = 96
      jogador.y = 32
    elseif h.pisou == 1 and h.pisado == 0 and h.base == 2 then
      h.base = 0
      h.img = nil
      sndpasso:play()
      contagemBases = contagemBases - 1
      pontos_final = pontos_final + 1
    elseif h.pisou == 1 and h.pisado == 1 and h.base == 0 and desenhaBob == true and taNoTronco == false then
      --faz o Bob sumir
      desenhaBob = false
      --impede que o Bob se mova quando cai
      podeMover = false
      --pega a posição do Bob para posicionar a água no lugar onde ele cair
      --esquerda ou direita
      if bobImagem == 1 or bobImagem == 4 then
        agua.x = jogador.x
        agua.y = jogador.y + 30
      end
      --baixo e cima
      if bobImagem == 2 or bobImagem == 3 then
        agua.x = jogador.x - 5
        agua.y = jogador.y + 30
      end

      desenhaAgua = true
    end    
  end
  
  if contagemBases == 0 then
    --impede que o Bob mova quando passa de fase
    podeMover = false
    if tempo > 1 then
      tempo = tempo - 1
      pontos_final = pontos_final + 1
      sndpontos:play()
    else
      sndpontos:stop()
    end
    aguarda = aguarda + 1 * dt
    if aguarda > 3 then
      sndfase:stop()
      pontos = pontos_final
      --grava a fase para continuar depois
      arquivo = love.filesystem.newFile("fase.lua", "w")
      arquivo:write("fase = "..fase)
      arquivo:close()
      arquivo1 = love.filesystem.newFile("ponto.lua", "w")
      arquivo1:write("pontos = "..786)
      arquivo1:close()
      tela = 17
      love.load()
    end
  else
    --atualiza o temporizador
    if tempo > 1 then
      tempo = tempo - 1 * dt
    end
  end
end

--////////////////////////////////////////////////////////////////
  --código para movimento do jogador pelo direcional
  function love.mousepressed(x,y,button,istouch)
    --cuida da mudança de sprite do Bob pelo direcional
    --podeMover como false impede que o sprite mude quando o Bob estiver caindo
    if button == 1 and podeMover == true then
      --esquerda
      if x > 440*eL and x < 495*eL and y > 400*eA and y < 455*eA and jogador.x > 32 then
        jogador.img = love.graphics.newImage('imagens/jogador/d1.png')
        jogador.escalaX = -1
        jogador.deslocaH = 32
        bobImagem = 1
      --baixo
      elseif x > 505*eL and x < 560*eL and y > 400*eA and y < 455*eA then
        jogador.img = love.graphics.newImage('imagens/jogador/b7.png')
        jogador.escalaX = 1
        jogador.deslocaH = 0
        bobImagem = 2
      --cima
      elseif x > 505*eL and x < 560*eL and y > 330*eA and y < 385*eA then
        jogador.img = love.graphics.newImage('imagens/jogador/c3.png')
        jogador.escalaX = 1
        jogador.deslocaH = 0
        bobImagem = 3
      --direita
      elseif x > 570*eL and x < 625*eL and y > 400*eA and y < 455*eA then
        jogador.img = love.graphics.newImage('imagens/jogador/d1.png')
        jogador.escalaX = 1
        jogador.deslocaH = 0
        bobImagem = 4
      end
    end
  end
  
  --///////////////////////////////////////////////////////////////
--cuida do movimento do jogador pelo direcional
  function love.mousereleased(x,y,button,istouch)
    --podeMover sendo false, impede que o Bob mova quando estiver caindo
    if button == 1 then
      if podeMover == true then
              --move para a esquerda
        if x > 440*eL and x < 495*eL and y > 400*eA and y < 455*eA and jogador.x > 32 then
          jogador.x = jogador.x - 32
          jogador.img = love.graphics.newImage('imagens/jogador/d0.png')
          bobImagem = 1
          --move para baixo
        elseif x > 505*eL and x < 560*eL and y > 400*eA and y < 455*eA then
          jogador.y = jogador.y + 32
          jogador.img = love.graphics.newImage('imagens/jogador/b0.png')
          bobImagem = 2
          --move para cima
        elseif x > 505*eL and x < 560*eL and y > 330*eA and y < 385*eA then
          jogador.y = jogador.y - 32
          jogador.img = love.graphics.newImage('imagens/jogador/c0.png')
          bobImagem = 3
          --move para a direita
        elseif x > 570*eL and x < 625*eL and y > 400*eA and y < 455*eA then
          jogador.x = jogador.x + 32
          jogador.img = love.graphics.newImage('imagens/jogador/d0.png')
          bobImagem = 4
        elseif x > menu.x*eL and x < (menu.x+83)*eL and y > menu.y*eA and y < (menu.y+42)*eA then
          tela = 3
          love.load()
        end
      end
      --ativa e desativa a música
      if x > 480*eL and x < 512*eL and y > 0 and y < 32*eA then
        if musica == true then
          musica = false
        else
          musica = true
        end
      end
    end
  end
  
--////////////////////////////////////////////////////////////////
function desenha(dt)
  if tela == 16 then
    --desenha o fundo
    love.graphics.draw(fundo,0,0)
    --desenha cada uma das bases    
    for i, j in ipairs(tb1) do
      if j.img == nil then
      else
        love.graphics.draw(j.img,j.x,j.y)
      end
    end
    --desenha os troncos
    for k,l in ipairs(troncos) do
    	love.graphics.draw(l.img,l.x,l.y)
    end
    for m,n in ipairs(troncos) do
    	love.graphics.draw(n.img,n.x,n.y)
    end
    --desenha a água
    if desenhaAgua == true then
      love.graphics.draw(agua.img,agua.x,agua.y)
    end
    --desenha o jogador
    if desenhaBob == true then
      love.graphics.draw(jogador.img,jogador.x,jogador.y,0,jogador.escalaX,jogador.escalaY,jogador.deslocaH,jogador.deslocaV)
    end
    
    if contagemBases == 0 then
      love.graphics.draw(parabens.img,parabens.x,parabens.y)
    end
    --desenha os direcionais
  love.graphics.draw(esq.img,esq.x,esq.y)
  love.graphics.draw(baixo.img,baixo.x,baixo.y)
  love.graphics.draw(cima.img,cima.x,cima.y)
  love.graphics.draw(dir.img,dir.x,dir.y)
  --desenha o painel
  love.graphics.draw(painel,420,0)
  
  --dependendo do idioma, escreve
  if idioma == "en" then
    love.graphics.print("Score: ",480,90)
    love.graphics.print("Life: ",480,120)
    love.graphics.print("Health: ",480,150)
    love.graphics.print("Level: ",480,180)
    love.graphics.print("Time: ",480,210)
  else
    love.graphics.print("Pontos: ",480,90)
    love.graphics.print("Vidas: ",480,120)
    love.graphics.print("Vital: ",480,150)
    love.graphics.print("Nivel: ",480,180)
    love.graphics.print("Tempo: ",480,210)
  end
    love.graphics.print(pontos_final,550,90)
    love.graphics.print(vidas,550,120)
    love.graphics.print(math.floor(vital),550,150)
    love.graphics.print(fase,550,180)
    love.graphics.print(math.floor(tempo),550,210)
    --love.graphics.print(contagemBases,100,100)
    --desenha a água
    if desenhaAgua == true then
      love.graphics.draw(agua.img,agua.x,agua.y)
    end
  end
end