function carrega()
  --grava o arquivo para que a animacao so rode uma vez
  arquivo = love.filesystem.newFile("jogo.txt","w")
  arquivo:close()
  
  fundo = love.graphics.newImage("imagens/fundos/cidade_traseira.png")
  frente = love.graphics.newImage("imagens/fundos/cidade_frontal.png")
  bobcabeca = love.graphics.newImage('imagens/jogador/bobhead.png')
  robocabeca = love.graphics.newImage('imagens/personagens/robohead.png')
  exibeRoboCabeca = false
  exibeBobCabeca = false
  texto = ""
  
  --variáveis utilizadas pelo jogador
  pos = 0
  --cria o jogador
  jogador = {x=nil,y=nil,img=love.graphics.newImage('imagens/jogador/d1.png')}

  --animacoes do Bob
  animaBob = {}
  animaBob1 = true
  animaBob2 = false
  contadorAnimacao = 0
  quadro = 1
  --as animacoes do Bob andando e teletransportado
  local c = nil
  for c=1,15 do
    if c < 9 then
      animaBob[c] = love.graphics.newImage('imagens/jogador/d'..c..'.png')
    else
      animaBob[c] = love.graphics.newImage('imagens/jogador/bob_teletransporte'..c..'.png')
    end
  end
  --a imagem dele parado
  animaBob[16] = love.graphics.newImage('imagens/jogador/d0.png')  
  
  --cria o robo
  robo = {img=love.graphics.newImage('imagens/personagens/robo_teletransporte14.png')}
  animaRobo1 = false
  animaRobo2 = false
  animaRobo = {}
  quadroRobo = 1
  local c = nil
  for c=1,14 do
    animaRobo[c] = love.graphics.newImage('imagens/personagens/robo_teletransporte'..c..'.png')
  end
  
  --posiciona o jogador
  jogador.x = -30
  jogador.y = 370
end

function atualiza(dt) 
  --animacao do Bob andando
  contadorAnimacao = contadorAnimacao + dt
  if contadorAnimacao >= 0.05 then
    contadorAnimacao = 0
    if animaBob1 == true then
      quadro = quadro + 1
      if quadro == 8 then
        quadro = 1
      end
      jogador.img = animaBob[quadro]
    elseif animaBob2 == true then
      if quadro < 9 then
        quadro = 9
      end
      if quadro < 15 then
        quadro = quadro + 1
      end
      jogador.img = animaBob[quadro]
      jogador.y = -50
    else
      jogador.img = animaBob[16]
    end
    --animacao do robo
    if animaRobo1 == true then
      if quadroRobo < 7 then
        quadroRobo = quadroRobo + 1
        robo.img = animaRobo[quadroRobo]
      else
        if pos == 0 then
          pos = 1
          animaRobo1 = false
        end
      end
    elseif animaRobo2 == true then
      if quadroRobo < 8 then
        quadroRobo = 8
      end
      if quadroRobo < 14 then
        quadroRobo = quadroRobo + 1
      else
          tela = 3
          love.load()
      end
      robo.img = animaRobo[quadroRobo]
    end
  end

  --move o Bob
  if jogador.x < 400 then
    jogador.x = jogador.x + 100 * dt
  else
    if pos == 0 then
      animaBob1 = false
      animaRobo1 = true
    end
  end

  if pos == 1 then
    exibeBobCabeca = true   
    texto = "Ahhh..."
  elseif pos == 2 then
    if idioma == "en" then
      texto = "But, what is happening! Who are you?"
    else
      texto = "Mas o que é isso? Quem é você?"
    end
  elseif pos == 3 then
    exibeBobCabeca = false
    exibeRoboCabeca = true
    if idioma == "en" then
      texto = "Hi, little human! My name is R1200!"
    else
      texto = "Olá pequeno humano! Meu nome é R1200!"
    end
  elseif pos == 4 then
    if idioma == "en" then
      texto = "We from our planet decided to challenge some human from this planet!"
    else
      texto = "Nós do nosso planeta decidimos desafiar algum humano deste planeta!"
    end
  elseif pos == 5 then
    if idioma == "en" then
      texto = "And the choosen one is you!"
    else
      texto = "E o escolhido é você!"
    end
  elseif pos == 6 then
    if idioma == "en" then
      texto = "We wil send you to some places."
    else
      texto = "Vamos enviar você para alguns lugares."
    end
  elseif pos == 7 then
    if idioma == "en" then
      texto = "And you will need to solve some puzzles."
    else
      texto = "E terá que solucionar alguns quebra cabeças."
    end
  elseif pos == 8 then
    if idioma == "en" then
      texto = "If you solve all the puzzles, you will be back to your home with a gift!"
    else
      texto = "Se você solucionar os quebra cabeças, poderá voltar para casa com um presente!"
    end
  elseif pos == 9 then
    if idioma == "en" then
      texto = "Are you ready?"
    else
      texto = "Está preparado?"
    end
  elseif pos == 10 then
    exibeRoboCabeca = false
    exibeBobCabeca = true
    if idioma == "en" then
      texto = "Nooooooooo!"
    else
      texto = "Nãããããooooooo!"
    end
  elseif pos == 11 then
    exibeRoboCabeca = false
    exibeBobCabeca = false
    texto = ""
    animaBob2 = true
    animaRobo2 = true
  end
end

function love.mousereleased(x,y,button)
  if button == 1 then
    --so permite aumentar pos depois da animacao do robo aparecendo
    if pos > 0 and pos < 12 then
      pos = pos + 1
    end
  end
end

--////////////////////////////////////////////////////////////////
function desenha(dt)
  love.graphics.draw(fundo)
  --desenha o jogador
  love.graphics.draw(jogador.img,jogador.x,jogador.y)
  love.graphics.draw(robo.img,550,-50)

  love.graphics.draw(frente)
  if exibeRoboCabeca == true then
    love.graphics.draw(robocabeca,10,447)
  elseif exibeBobCabeca == true then
    love.graphics.draw(bobcabeca,10,447)
  end
  love.graphics.print(texto,40,447)
end