function carrega()
  love.audio.stop()
  audio = love.filesystem.load("audio/audio.lua")
  audio()
  carregaAudio()
  --verifica se há algum jogo salvo
  if love.filesystem.exists("fase.lua") then
    arquivosalvo = love.filesystem.load("fase.lua")
    if arquivosalvo then arquivosalvo() end
    arquivosalvo1 = love.filesystem.load("ponto.lua")
    if arquivosalvo1 then arquivosalvo1() end
  --se não houver, faz fase ser 1
  else
    fase = 1
  end
  
  --permite a mudanca das funcoes dos botoes
  --1: primeiro menu, 2:segundo menu, 3:game over
  if mudaMenu == nill then
    mudaMenu = 1
  end
  
  vidas = 3
  if mudaMenu == 3 then
    fundo = love.graphics.newImage("imagens/fundos/bg_gameover_"..idioma..".jpg")
  else
    fundo = love.graphics.newImage("imagens/fundos/bg_titulo.jpg")
  end
  
  --carrega os botões de acordo com o idioma
  sair = {x=118,y=400,img=love.graphics.newImage("imagens/botoes/btnSair_"..idioma..".png")}
  jogar = {x=278,y=sair.y,img=love.graphics.newImage("imagens/botoes/btnJogar_"..idioma..".png")}
  criar = {x=438,y=sair.y,img=love.graphics.newImage("imagens/botoes/btnCriar_"..idioma..".png")}
  
  menu = {x=118,y=400,img=love.graphics.newImage("imagens/botoes/btnMenu.png")}
  continue = {x=260,y=menu.y,img=love.graphics.newImage("imagens/botoes/btnContinue.png")}
  novo = {x=438,y=menu.y,img=love.graphics.newImage("imagens/botoes/btnNovo_"..idioma..".png")}
  
  tbLinha = {160,192,224,256,288,320,352,384,416}
  tbColuna = {224,256,288,320,352,384,416,448,480}

  tb={1,2,2,2,2,2,2,1,0,
      1,3,3,3,3,3,3,1,5,
      0,0,0,0,0,0,0,0,0,
      1,4,4,4,4,4,4,4,1
    }
  
  jogador = {x=nil,y=nil,escalaX=1,escalaY=1,img=love.graphics.newImage('imagens/jogador/d1.png')}
  
  --animacoes
    animadir = {}
    animaesq = {}
    animabai = {}
    animacao = "dir"
    anima = false
    contadorAnimacao = 0
    quadro = 1
    local c = nil
    for c=1,8 do
      animadir[c] = love.graphics.newImage('imagens/jogador/d'..c..'.png')
      animaesq[c] = love.graphics.newImage('imagens/jogador/e'..c..'.png')
      animabai[c] = love.graphics.newImage('imagens/jogador/b'..c..'.png')
    end
  
  carregaMenu()
end

function carregaMenu()
  tb1 = {}
    
  local a = 0
  local b = 0
  local contador = 0
  local base = 0
  for a=1,#tbColuna do
    local coluna=tbColuna[a]
    for b=1,#tbLinha do
      local linha=tbLinha[b]
      contador = contador + 1
      local base=tb[contador]
      if base == 0 then
        ba={x=linha,y=coluna,pisou=0,pisado=0,base=0}
        table.insert(tb1,ba)
      elseif base == 1 then
        ba={x=linha,y=coluna,img=love.graphics.newImage('imagens/bases/base1.png'),pisou=0,pisado=0,base=1}
        table.insert(tb1,ba)
      elseif base == 2 then
        ba={x=linha,y=coluna,img=love.graphics.newImage('imagens/bases/base2.png'),pisou=0,pisado=0,base=2}
        table.insert(tb1,ba)
      elseif base == 3 then
        ba={x=linha,y=coluna,img=love.graphics.newImage('imagens/bases/base3.png'),pisou=0,pisado=0,base=3}
        table.insert(tb1,ba)
      elseif base == 4 then
        ba={x=linha,y=coluna,img=love.graphics.newImage('imagens/bases/base4.png'),pisou=0,pisado=0,base=4}
        table.insert(tb1,ba)
      elseif base == 5 then
        ba={x=linha,y=coluna,img=love.graphics.newImage('imagens/bases/base5.png'),pisou=0,pisado=0,base=5}
        table.insert(tb1,ba)
      end      
    end
  end
  
  pos = 0

  jogador.x = 160
  jogador.y = 190
end

function atualiza(dt)
  local carregamenu = false
  --//JOGADOR//JOGADOR//JOGADOR//JOGADOR//JOGADOR//JOGADOR//
  --anima o jogador
  contadorAnimacao = contadorAnimacao + dt
  if contadorAnimacao >= 0.05 then
    contadorAnimacao = 0
    quadro = quadro + 1
    if quadro == 8 then
      quadro = 1
    end
  end
  if animacao == "dir" then
    jogador.img = animadir[quadro]
  elseif animacao == "esq" then
    jogador.img = animaesq[quadro]
  elseif animacao == "cim" then
    jogador.img = animacim[quadro]
  elseif animacao == "bai" then
    jogador.img = animabai[quadro]
  end

  --MOVIMENTA O JOGADOR
  --move para a direita
  if jogador.x < 384 and pos == 0 then
    jogador.x = jogador.x + (100*dt)
    animacao = "dir"
  elseif jogador.x > 384 and pos == 0 then
    pos = 1
  end
  --move para baixo
  if jogador.y < 220 and pos == 1 then
    jogador.y = jogador.y + (100*dt)
    animacao = "bai"
  elseif jogador.y > 220 and pos == 1 then
    pos = 2
  end
  --move para a esquerda
  if jogador.x > 160 and pos == 2 then
    animacao = "esq"
    jogador.x = jogador.x - (100*dt)
  elseif jogador.x < 160 and pos == 2 then
    pos = 3
  end
  --move para a direita
  if jogador.x < 416 and pos == 3 then
    animacao = "dir"
    jogador.x = jogador.x + (100*dt)
  elseif jogador.x > 416 and pos == 3 then
    pos = 3.1
  --é teletransportado para a outra localização
  elseif jogador.x > 416 and pos == 3.1 then
    pos = 4
    jogador.x = 160
    jogador.y = 285
  end
  --move para a direita
  if jogador.x < 416 and pos == 4 then
    animacao = "dir"
    jogador.x = jogador.x + (100*dt)
  elseif jogador.x > 416 and pos == 4 then
    pos = 5
  end
  --move para a esquerda
  if jogador.x > 160 and pos == 5 then
    animacao = "esq"
    jogador.x = jogador.x - (100*dt)
  elseif jogador.x < 160 and pos == 5 then
    pos = 6
  end
  --move para a direita
  if jogador.x < 416 and pos == 6 then
    animacao = "dir"
    jogador.x = jogador.x + (100*dt)
  elseif jogador.x > 416 and pos == 6 then
    carregamenu = true
    if carregamenu == true then
      carregaMenu()
      carregamenu = false
    end
  end
  
  --////////////////////////////////////////////////////////
  --//COLISÃO//COLISÃO//COLISÃO//COLISÃO//COLISÃO//COLISÃO//
  --verifica se o jogador está sobre algum base (se há colisão)
  for j,k in ipairs(tb1) do
    if jogador.x + 15.5  > k.x and jogador.x + 15.5 < k.x + 32 and jogador.y + 50 > k.y and jogador.y + 50 < k.y + 32 then
    --se houver, muda as variáveis da base em colisão
      k.pisou = 1
      k.pisado = 1
    else
      k.pisado = 0
    end
    --e através dessas variáveis, muda a cor da base dependendo do número da base atual
    if k.pisou == 1 and k.pisado == 0 and k.base == 4 then 
      k.img = love.graphics.newImage('imagens/bases/base3.png')
      k.pisou = 0
      k.base = 3
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 3 then
      k.img = love.graphics.newImage('imagens/bases/base2.png')
      k.base = 2
      k.pisou = 0
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 2 then
      k.base = 0
      k.img = nil
    end
  end
end

--////////////////////////////////////////////////////////////////
function love.mousereleased(x,y,button)
  if button == 1 then
    --botao Sair
    if x > sair.x*eL and x < (sair.x+83)*eL and y > sair.y*eA and y < (sair.y+42)*eA then
      if mudaMenu == 1 then
        love.event.push('quit')
      else
        sndclique:play()
        mudaMenu = 1
        fundo = love.graphics.newImage("imagens/fundos/bg_titulo.jpg")
      end
    --botao Jogar
    elseif x > jogar.x*eL and x < (jogar.x+83)*eL and y > jogar.y*eA and y < (jogar.y+42)*eA then
      if mudaMenu == 1 then
        sndclique:play()
        mudaMenu = 2
      else
        sndclique:play()
        tela = fase + 5
        pontos = pontos--pega os pontos salvos em pontos.lua
        continue,novo,animacao,animacao1,contadorAnimacao,quadro,quadro1=nil
        love.load()
      end
    --botao Criar
    elseif x > criar.x*eL and x < (criar.x+83)*eL and y > criar.y*eA and y < (criar.y+42)*eA then
      if mudaMenu == 1 then
        --vai para a tela de criacao
        sndclique:play()
        tela = 4
        love.mousereleased,sair,jogar,criar,pos,animacao,animacao1,contadorAnimacao,quadro,quadro1=nil
        love.load()
      else
        --vai para a tela da fase 1
        sndclique:play()
        tela = 6
        pontos = 0--senão será pego os pontos salvos
        continue,novo,animacao,animacao1,contadorAnimacao,quadro,quadro1=nil
        love.load()
      end
    end
  end
end

--////////////////////////////////////////////////////////////////
function desenha(dt)
  love.graphics.draw(fundo)
  if mudaMenu == 1 then
    love.graphics.draw(sair.img,sair.x,sair.y)
    love.graphics.draw(jogar.img,jogar.x,jogar.y)
    love.graphics.draw(criar.img,criar.x,criar.y)
  else
    love.graphics.draw(menu.img,menu.x,menu.y)
    love.graphics.draw(continue.img,continue.x,continue.y)
    love.graphics.draw(novo.img,novo.x,novo.y)
  end
  
  --desenha cada uma das bases
  for e, f in ipairs(tb1) do
    if f.img == nil then
    else
      love.graphics.draw(f.img,f.x,f.y)
    end
  end
    
  --desenha o jogador
  love.graphics.draw(jogador.img,jogador.x,jogador.y,0,jogador.escalaX,jogador.escalaY)
end