local utf8 = require ("utf8")
local serialize = require "ser"
local lista = require "listbox"
--require("serialize")
function carrega()
  if tela == 4 then
    love.audio.stop()
    audio = love.filesystem.load("audio/audio.lua")
    audio()
    carregaAudio()
    --tabela para salvar a fase criada
    tb3 = {}
    if tempo1 == nil then
      rotulo = ""
    else
      if idioma == "en" then
        rotulo = " Time spent: "..tempo1
      else
        rotulo = " Tempo gasto: "..tempo1
      end
    end
    nome = ""
    salvando = false
    abrindo = false
    exibeLista = false
    exibe_ajuda = false
    fase = ""
    --impede q na segunda execucao da funcao load selecionado seja definido
    if selecionado == nil then
      selecionado = false
    end
    fundo = love.graphics.newImage('imagens/fundos/editor.png')
    baseImagem = nil
    baseSelecao = 0
    --botões
    btnbase1 = {x=470,y=20,img=love.graphics.newImage('imagens/bases/base1.png'),ativo=false}
    btnbase2 = {x=570,y=20,img=love.graphics.newImage('imagens/bases/base2.png'),ativo=false}
    btnbase3 = {x=470,y=80,img=love.graphics.newImage('imagens/bases/base3.png'),ativo=false}
    btnbase4 = {x=570,y=80,img=love.graphics.newImage('imagens/bases/base4.png'),ativo=false}
    btnbase5 = {x=470,y=140,img=love.graphics.newImage('imagens/bases/base5.png'),ativo=false}
    btnbase6 = {x=570,y=140,img=love.graphics.newImage('imagens/bases/btnbase6.jpg'),ativo=false}
    btnborracha = {x=470,y=200,img=love.graphics.newImage('imagens/botoes/borracha.png'),ativo=false}
    btnbob = {x=570,y=180,img=love.graphics.newImage('imagens/jogador/b1.png'),ativo=false}
    --carrega os botões de acordo com o idioma
    jogar = {x=547,y=300,img=love.graphics.newImage("imagens/botoes/btnJogar_"..idioma..".png")}
    ajuda = {x=430,y=300,img=love.graphics.newImage("imagens/botoes/btnAjuda_"..idioma..".png")}
    salvar = {x=430,y=362,img=love.graphics.newImage("imagens/botoes/btnSalvar_"..idioma..".png")}
    abrir = {x=530,y=362,img=love.graphics.newImage("imagens/botoes/btnAbrir_"..idioma..".png")}
    menu = {x=430,y=424,img=love.graphics.newImage("imagens/botoes/btnMenu.png")}
    apagar = {x=530,y=424,img=love.graphics.newImage("imagens/botoes/btnApagar_"..idioma..".png")}
    parabens1 = {x=40,y=300,img=love.graphics.newImage("imagens/cenario/parabens1_"..idioma..".png")}
    
    --verifica se esta vindo da tela 5 (execucao da fase criada)
    --caso nao esteja, usa uma tabela zerada
    if tb2 == nil then
      base6 = {x=570,y=140,img=love.graphics.newImage('imagens/bases/base6.png')}
      jogador2 = {x=570,y=180,img=love.graphics.newImage('imagens/jogador/b1.png')}
      --posição de cada base na tela
      tbLinha = {0,32,64,96,128,160,192,224,256,288,320,352,384,416}
      tbColuna = {32,64,96,128,160,192,224,256,288,320,352,384,416,448}

      tb={0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0,
          0,0,0,0,0,0,0,0,0,0,0,0,0,0
        }
      tb4 = {}
      local contador = 0
      for b=1,#tbColuna do
        local coluna=tbColuna[b]
        for c=1,#tbLinha do
          linha=tbLinha[c]
          contador = contador + 1
          local base=tb[contador]
          if base == 0 then
            ba={x=linha,y=coluna,pisou=0,pisado=0,base=0}
            table.insert(tb4,ba)
          end
        end
      end
    --caso seja utilizada a funcao de carregar fases criadas
    elseif tb2 == 1 then
      fase = tb[selecionado]
      tb = love.filesystem.load(tb[selecionado]..".lua")()
      jogador2.x = tb[2]
      jogador2.y = tb[3]
      base6.x = tb[4]
      base6.y = tb[5]
      tb = tb[1]
      tb4={}
      for t,u in ipairs(tb) do
        if u.base == 0 then
          bc={x=u.x,y=u.y,img=nil,pisou=0,pisado=0,base=0}
          table.insert(tb4,bc)
        elseif u.base == 1 then
          bc={x=u.x,y=u.y,img=love.graphics.newImage('imagens/bases/base1.png'),pisou=0,pisado=0,base=1}
          table.insert(tb4,bc)
        elseif u.base == 2 then
          bc={x=u.x,y=u.y,img=love.graphics.newImage('imagens/bases/base2.png'),pisou=0,pisado=0,base=2}
          table.insert(tb4,bc)
        elseif u.base == 3 then
          bc={x=u.x,y=u.y,img=love.graphics.newImage('imagens/bases/base3.png'),pisou=0,pisado=0,base=3}
          table.insert(tb4,bc)
        elseif u.base == 4 then
          bc={x=u.x,y=u.y,img=love.graphics.newImage('imagens/bases/base4.png'),pisou=0,pisado=0,base=4}
          table.insert(tb4,bc)
        elseif u.base == 5 then
          bc={x=u.x,y=u.y,img=love.graphics.newImage('imagens/bases/base5.png'),pisou=0,pisado=0,base=5}
          table.insert(tb4,bc)
        end
      end
      selecionado = false
      tb2 = 0
    end
    function listafases(fase)
      local tlista={x=200,y=100,font=font,istouch=true,rounded=true,w=200,h=300,showindex=true,bordercolor={255,255,255}}
      lista:newprop(tlista)
      for i=1,#fase do
        lista:additem(fase[i])
      end
      abrindo = true
    end
  end
end
    
    --////////////////////////////////////////////////////////////////
function love.mousereleased(x,y,button)
  if button == 1 and tela == 4 then
    if x > jogar.x*eL and x < jogar.x*eL + 83 and y > jogar.y*eA and y < jogar.y*eA + 42 then
      sndclique:play()
      tela = 5
      love.load()
    elseif x > salvar.x*eL and x < salvar.x*eL + 99 and y > salvar.y*eA and y < salvar.y*eA + 42 then
      sndclique:play()
      if salvando == false then
        --o texto exibido na caixa de entrada
        if idioma == "en" then
          rotulo = "Type the level name: "
        else
          rotulo = "Digite o nome da fase: "
        end
        love.keyboard.setTextInput(true)
      else
        --coloca o nome da fase criada em uma tabela e salva ela na memoria
        --primeiro le a tabela na memoria
        tb = {}
        if not love.filesystem.exists("fases.lua") then
          table.insert(tb,nome)
          love.filesystem.write("fases.lua",serialize(tb))
        else
          tb = love.filesystem.load("fases.lua")()
          --verifica se existe o nome ja na tabela
          local existe = false
          for i=1,#tb do
            --se nao existe, salva
            if tb[i] == nome and existe == false then
              existe = true
            end
          end
          if existe == false then
            table.insert(tb,nome)
            love.filesystem.write("fases.lua",serialize(tb))
          end
        end
        --coloca o conteudo de tb4 em tb3 para salvar
        tb3 = {}
        for t,u in ipairs(tb4) do
          if u.base == 0 then
            bc={x=u.x,y=u.y,base=0}
            table.insert(tb3,bc)
          elseif u.base == 1 then
            bc={x=u.x,y=u.y,base=1}
            table.insert(tb3,bc)
          elseif u.base == 2 then
            bc={x=u.x,y=u.y,base=2}
            table.insert(tb3,bc)
          elseif u.base == 3 then
            bc={x=u.x,y=u.y,base=3}
            table.insert(tb3,bc)
          elseif u.base == 4 then
            bc={x=u.x,y=u.y,base=4}
            table.insert(tb3,bc)
          elseif u.base == 5 then
            bc={x=u.x,y=u.y,base=5}
            table.insert(tb3,bc)
          end
        end        
        --coloca tb3 em tb em forma de string
        tb = {}
        tb[1] = tb3
        --coloca a posicao dos outros objetos
        tb[2] = jogador2.x
        tb[3] = jogador2.y
        tb[4] = base6.x
        tb[5] = base6.y
        love.filesystem.write(nome..".lua",serialize(tb))
        rotulo = ""
        nome = ""
        salvando = false
      end
    elseif x > abrir.x*eL and x < abrir.x*eL + 99 and y > abrir.y*eA and y < abrir.y*eA + 42 then
      sndclique:play()
      if abrindo == false then
        tb = {}
        if not love.filesystem.exists("fases.lua") then
          if idioma == "en" then
            rotulo = "There is no level to load! Please, save some level first!"
          else
            rotulo = "Não existem fases salvas! Por favor, salve uma fase antes!"
          end
        else
          tb = love.filesystem.load("fases.lua")()
          listafases(tb)
          exibeLista = true
        end
      else
        tb2 = 1
        carrega()
      end
    elseif x > menu.x*eL and x < menu.x*eL + 83 and y > menu.y*eA and y < menu.y*eA + 42 then
      sndclique:play()
      tela = 3
      jogar,salvar,menu=nil
      love.mousereleased = nil
      love.load()
    elseif x > apagar.x*eL and x < apagar.x*eL + 83 and y > apagar.y*eA and y < apagar.y*eA + 42 then
      sndclique:play()
        if abrindo == false then
        tb = {}
        if not love.filesystem.exists("fases.lua") then
          if idioma == "en" then
            rotulo = "There is no level to delete!"
          else
            rotulo = "Não existem fases salvas!"
          end
        else
          tb = love.filesystem.load("fases.lua")()
          listafases(tb)
          exibeLista = true
        end
      else
        love.filesystem.remove(tb[selecionado]..".lua")
        table.remove(tb,selecionado)
        if table.getn(tb) == 0 then
          love.filesystem.remove("fases.lua")
        else
          love.filesystem.write("fases.lua",serialize(tb))
        end
        abrindo = false
      end
    elseif x > ajuda.x*eL and x < ajuda.x*eL + 83 and y > ajuda.y*eA and y < ajuda.y*eA + 42 then
      sndclique:play()
      if exibe_ajuda == false then
        if idioma == "en" then
        rotulo = " Saving Levels:\n touch on SAVE, type a name for the level, touch on SAVE\n again to confirm.\n\n Loading Levels:\n touch on LOAD, choose a level from the list, touch on LOAD\n again to load the level.\n\n Deleting Levels:\n touch on DEL, choose the level from the list, touch on DEL\n again to delete."
        else
          rotulo = " Salvando Fases:\n toque em SALVAR, digite um nome para a fase, e toque em\n SALVAR novamente para confirmar.\n\n Abrindo Fases:\n toque em ABRIR, escolha a fase desejada na lista, e toque em\n ABRIR novamente para confirmar.\n\n Apagando Fases:\n toque em APAGAR, escolha a fase na lista, toque em APAGAR\n novamente para confirmar."
        end
        exibe_ajuda = true
      else
          exibe_ajuda = false
          rotulo = ""
      end
    end
  end
end

--////////////////////////////////////////////////////////////////
function atualiza(dt)
  if tela == 4 then
    --atualiza a lista
    if exibeLista == true then
      lista:update(dt)
      selecionado = lista:getselected()
      lista:unselect()
    end
    if selecionado ~= false then
      exibeLista = false
    end
    mousex,mousey = love.mouse.getPosition()
    if love.mouse.isDown(1) then
      --clique na base1
      if mousex > 470*eL and mousex < 502*eL and mousey > 20*eA and mousey < 52*eA then
        btnbase1.ativo = true
        btnbase2.ativo,btnbase3.ativo,btnbase4.ativo,btnbase5.ativo,btnbase6.ativo,btnborracha.ativo,btnbob.ativo=false,false,false,false,false,false,false
      --clique na base2
      elseif mousex > 570*eL and mousex < 602*eL and mousey > 20*eA and mousey < 52*eA then
        btnbase2.ativo = true
        btnbase1.ativo,btnbase3.ativo,btnbase4.ativo,btnbase5.ativo,btnbase6.ativo,btnborracha.ativo,btnbob.ativo=false,false,false,false,false,false,false
      --clique na base3
      elseif mousex > 470*eL and mousex < 502*eL and mousey > 80*eA and mousey < 112*eA then
        btnbase3.ativo = true
        btnbase1.ativo,btnbase2.ativo,btnbase4.ativo,btnbase5.ativo,btnbase6.ativo,btnborracha.ativo,btnbob.ativo=false,false,false,false,false,false,false
      --clique na base4
      elseif mousex > 570*eL and mousex < 602*eL and mousey > 80*eA and mousey < 112*eA then
        btnbase4.ativo = true
        btnbase1.ativo,btnbase2.ativo,btnbase3.ativo,btnbase5.ativo,btnbase6.ativo,btnborracha.ativo,btnbob.ativo=false,false,false,false,false,false,false
      --clique na base5
      elseif mousex > 470*eL and mousex < 502*eL and mousey > 140*eA and mousey < 172*eA then
        btnbase5.ativo = true
        btnbase1.ativo,btnbase2.ativo,btnbase3.ativo,btnbase4.ativo,btnbase6.ativo,btnborracha.ativo,btnbob.ativo=false,false,false,false,false,false,false
      --clique na base6
      elseif mousex > 570*eL and mousex < 602*eL and mousey > 140*eA and mousey < 172*eA then
        btnbase6.ativo = true
        btnbase1.ativo,btnbase2.ativo,btnbase3.ativo,btnbase4.ativo,btnbase5.ativo,btnborracha.ativo,btnbob.ativo=false,false,false,false,false,false,false
      --clique na borracha
      elseif mousex > 470*eL and mousex < 502*eL and mousey > 200*eA and mousey < 232*eA then
        btnborracha.ativo = true
        btnbase1.ativo,btnbase2.ativo,btnbase3.ativo,btnbase4.ativo,btnbase5.ativo,btnbase6.ativo,btnbob.ativo=false,false,false,false,false,false,false
      --clique no Bob
      elseif mousex > 570*eL and mousex < 601*eL and mousey > 200*eA and mousey < 250*eA then
        btnbob.ativo = true
        btnbase1.ativo,btnbase2.ativo,btnbase3.ativo,btnbase4.ativo,btnbase5.ativo,btnbase6.ativo,btnborracha.ativo=false,false,false,false,false,false,false
      end
    end
    --cuida da selecao dos botoes
    if btnbase1.ativo == true then
      baseImagem = btnbase1.img
      baseSelecao = 1
    elseif btnbase2.ativo == true then
      baseImagem = btnbase2.img
      baseSelecao = 2
    elseif btnbase3.ativo == true then
      baseImagem = btnbase3.img
      baseSelecao = 3
    elseif btnbase4.ativo == true then
      baseImagem = btnbase4.img
      baseSelecao = 4
    elseif btnbase5.ativo == true then
      baseImagem = btnbase5.img
      baseSelecao = 5
    elseif btnbase6.ativo == true then
    elseif btnborracha.ativo == true then
      baseImagem = nil
      baseSelecao = 0
    elseif btnbob.ativo == true then
    end
    --muda a base de acordo com a posição do clique
    for c,d in ipairs(tb4) do
      if love.mouse.isDown(1) then
        --impede que sejam colocadas bases fora da área de jogo
        if mousex > 32*eL and mousex < 416*eL and mousey > 64*eA and mousey < 448*eA then
        if mousex > d.x*eL and mousex < d.x*eL + 32 and mousey > d.y*eA and mousey < d.y*eA + 32 then
          if btnbob.ativo == true then
            d.img = d.img
            d.base = d.base
            jogador2.x = d.x
            jogador2.y = d.y - 34
          elseif btnbase6.ativo == true then
            d.img = d.img
            d.base = d.base
            base6.x = d.x
            base6.y = d.y
          else
            d.img = baseImagem
            d.base = baseSelecao
          end
        end
        end
      end
    end
    --apaga a base 6 com a borracha
    if btnborracha.ativo == true and love.mouse.isDown(1) == true then
      if mousex > base6.x*eL and mousex < base6.x*eL+32*eL and mousey > base6.y*eA and mousey < base6.y*eA+32*eA then
        base6.x = 570
        base6.y = 140
      end
    end
  end
end

function love.textinput(t)
  nome = nome .. t
end

function love.keypressed(tecla)
  salvando = true
  if tecla == "backspace" then
    local letra = utf8.offset(nome,-1)
    if letra then
      nome = string.sub(nome,1,letra-1)
    end
  end
end

--////////////////////////////////////////////////////////////////
function desenha(dt)
  if tela == 4 then
    love.graphics.draw(fundo)
  
    for e, f in ipairs(tb4) do
      if f.img == nil then
      else
        love.graphics.draw(f.img,f.x,f.y)
      end
    end
    
    --exibe os botões
    love.graphics.setLineWidth(2)
    if btnbase1.ativo == true then
      love.graphics.rectangle("line",465,15,42,42)
    elseif btnbase2.ativo == true then 
      love.graphics.rectangle("line",565,15,42,42)
    elseif btnbase3.ativo == true then 
      love.graphics.rectangle("line",465,75,42,42)
    elseif btnbase4.ativo == true then 
      love.graphics.rectangle("line",565,75,42,42)
    elseif btnbase5.ativo == true then 
      love.graphics.rectangle("line",465,135,42,42)
    elseif btnbase6.ativo == true then 
      love.graphics.rectangle("line",565,135,42,42)
    elseif btnborracha.ativo == true then 
      love.graphics.rectangle("line",465,195,42,42)
    elseif btnbob.ativo == true then 
      love.graphics.rectangle("line",565,185,42,60)
    end
    love.graphics.draw(btnbase1.img,btnbase1.x,btnbase1.y)
    love.graphics.draw(btnbase2.img,btnbase2.x,btnbase2.y,0,btnbase2.escala,btnbase2.escala)
    love.graphics.draw(btnbase3.img,btnbase3.x,btnbase3.y,0,btnbase3.escala,btnbase3.escala)
    love.graphics.draw(btnbase4.img,btnbase4.x,btnbase4.y,0,btnbase4.escala,btnbase4.escala)
    love.graphics.draw(btnbase5.img,btnbase5.x,btnbase5.y,0,btnbase5.escala,btnbase5.escala)
    love.graphics.draw(base6.img,base6.x,base6.y)
    love.graphics.draw(btnbase6.img,btnbase6.x,btnbase6.y,0,btnbase6.escala,btnbase6.escala)
    love.graphics.draw(btnborracha.img,btnborracha.x,btnborracha.y,0,btnborracha.escala,btnborracha.escala)
    love.graphics.draw(jogador2.img,jogador2.x,jogador2.y)
    love.graphics.draw(btnbob.img,btnbob.x,btnbob.y,0,btnbob.escala,btnbob.escala)
    love.graphics.draw(jogar.img,jogar.x,jogar.y)
    love.graphics.draw(ajuda.img,ajuda.x,ajuda.y)
    love.graphics.draw(salvar.img,salvar.x,salvar.y)
    love.graphics.draw(menu.img,menu.x,menu.y)
    love.graphics.draw(abrir.img,abrir.x,abrir.y)
    love.graphics.draw(apagar.img,apagar.x,apagar.y)
    love.graphics.printf(nome,160,0,love.graphics.getWidth())
    --atualiza a lista
    if exibeLista == true then
      lista:draw()
    end
      --exibe a ajuda
    if exibe_ajuda == true then
      --love.graphics.draw(fundo_cria)
      love.graphics.setColor(0,0,0)
      love.graphics.rectangle("fill",0,0,425,480)
      love.graphics.setColor(255,255,255)
    end
    love.graphics.printf(rotulo,0,0,love.graphics.getWidth())
  end
end