function carrega()
  audio = love.filesystem.load("audio/audio.lua")
  audio()
  carregaAudio()

  fase = 4
  fundo=love.graphics.newImage('imagens/fundos/ceu.jpg')

  tb={0,0,0,0,0,0,0,0,0,0,0,0,0,0,
      0,1,2,2,2,2,2,2,2,2,2,2,2,0,
      0,2,2,2,2,2,2,2,2,2,2,2,2,0,
      0,2,2,2,2,2,2,2,2,2,2,2,2,0,
      0,2,2,2,2,2,2,2,2,2,2,2,2,0,
      0,2,2,2,2,0,0,0,0,2,2,2,2,0,
      0,2,2,2,2,0,0,0,0,2,2,2,2,0,
      0,2,2,2,2,0,0,0,0,2,2,2,2,0,
      0,2,2,2,2,0,0,0,0,2,2,2,2,0,
      0,2,2,2,2,2,2,2,2,2,2,2,2,0,
      0,2,2,2,2,2,2,2,2,2,2,2,2,0,
      0,2,2,2,2,2,2,2,2,2,2,2,2,0,
      0,2,2,2,2,2,2,2,2,2,2,2,2,0,
      0,0,0,0,0,0,0,0,0,0,0,0,0,0
    }
      
  controle = love.filesystem.load("variados/controle.lua")
  controle()
  carregaControle()

  jogador.x,bobposx = 32,32
  jogador.y,bobposy = 28,28
    
  passaroArq = love.filesystem.load("personagens/passaro.lua")
  passaroArq()
  carregaPassaro()
end

--//ATUALIZA//ATUALIZA//ATUALIZA//ATUALIZA//ATUALIZA//ATUALIZA
function atualiza(dt)
  atualizaAudio()
  atualizaControle(dt)
  
  if contagemBases == 0 then
    if aguarda > 3 then
      sndfase:stop()
      pontos = pontos_final
      --grava a fase para continuar depois
      arquivo = love.filesystem.newFile("fase.lua", "w")
      arquivo:write("fase = "..fase)
      arquivo:close()
      arquivo1 = love.filesystem.newFile("ponto.lua", "w")
      arquivo1:write("pontos = "..198)
      arquivo1:close()
      tela = 10
      love.load()
    end
  end
  atualizaPassaro(dt)
end

--////////////////////////////////////////////////////////////////
function desenha(dt)
  love.graphics.draw(fundo,0,0)
  --desenha cada uma das bases
  for e, f in ipairs(tb1) do
    if f.img == nil then
    else
      love.graphics.draw(f.img,f.x,f.y)
    end
  end

  love.graphics.draw(jogador.img,jogador.x,jogador.y,0,jogador.escalaX,jogador.escalaY,jogador.deslocaH,jogador.deslocaV)
  --desenha o pássaro
  love.graphics.draw(passaro.img,passaro.x,passaro.y,passaro.rot-30,1,1,25,17.5)
    
  desenhaControle(dt)
    
end