function carregaControle()
  --love.audio.stop()
  --variavel a ser utilizada pelo codigo do relampago
  bobImagem = 1
  --temporizador
  tempo = 60
  --segundo temporizador
  aguarda = 0
  --variável utilizada para contar as base desaparecidas
  contagemBases = 0
  --variável que permite a queda do Bob
  podeCair = true
  --variável que impede o Bob de andar quando está caindo
  podeMover = true
  --variáveis responsáveis pela pontuação
  --variável que permite (true) ou não (false) que a vital do Bob seja tirada
  tiraVital = true
  --permite uma espera de 3 segundos quando o Bob morre por falta de vital
  morreu = 0
  pontos_final = 0
  pontos_final = pontos_final + pontos
  --teletransporta o Bob quando pisa em uma base 5
  teletransporte = false
  --carrega a imagem do painel
  painel = love.graphics.newImage('imagens/cenario/painel.png')
  --imagem de parabéns
  parabens = {x=40,y=300,img=love.graphics.newImage("imagens/cenario/parabens_"..idioma..".png")}
  --carrega as imagens das bases
  bases = {}
  for a=1,5 do
    bases[a] = love.graphics.newImage('imagens/bases/base'..a..'.png')
  end  
  --cria uma grade no campo de jogo  
  tbLinha = {0,32,64,96,128,160,192,224,256,288,320,352,384,416}
  tbColuna = {32,64,96,128,160,192,224,256,288,320,352,384,416,448}
  --tabela contendo cada base em sua devida posição
  tb1={}
  --coloca cada base em tb1
  local contador = 0
  for b=1,#tbColuna do
    local coluna=tbColuna[b]
    for c=1,#tbLinha do
      linha=tbLinha[c]
      contador = contador + 1
      local base=tb[contador]
      if base == 0 then
        ba={x=linha,y=coluna,pisou=0,pisado=0,base=0}
        table.insert(tb1,ba)
      elseif base == 1 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=1}
        table.insert(tb1,ba)
      elseif base == 2 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=2}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 3 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=3}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 4 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=4}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 5 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=5}
        table.insert(tb1,ba)
      end      
    end
  end
  --cria o jogador
  jogador = {x=nil,y=nil,escalaX=1,escalaY=1,img=love.graphics.newImage('imagens/jogador/d0.png')}
  
  --animacoes
  animadir = {}
  animaesq = {}
  animacim = {}
  animabai = {}
  animacao = "dir"
  anima = false
  contadorAnimacao = 0
  quadro = 1
  local c = nil
  for c=1,8 do
    animadir[c] = love.graphics.newImage('imagens/jogador/d'..c..'.png')
    animaesq[c] = love.graphics.newImage('imagens/jogador/e'..c..'.png')
    animacim[c] = love.graphics.newImage('imagens/jogador/c'..c..'.png')
    animabai[c] = love.graphics.newImage('imagens/jogador/b'..c..'.png')
  end
  if tela > 7 and tela < 16 then
    if distancia1 == nil then
      distancia1 = 300
    end
    if distancia2 == nil then
      distancia2 = 300
    end
  end
end


--//////////////atualiza//////////////////////////////////////////////
function atualizaControle(dt)
  --animacoes
  if anima == true then
    contadorAnimacao = contadorAnimacao + dt
    if contadorAnimacao >= 0.05 then
      contadorAnimacao = 0
      quadro = quadro + 1
      if quadro == 8 then
        quadro = 1
      end
    end
    if animacao == "dir" then
      jogador.img = animadir[quadro]
    elseif animacao == "esq" then
      jogador.img = animaesq[quadro]
    elseif animacao == "cim" then
      jogador.img = animacim[quadro]
    elseif animacao == "bai" then
      jogador.img = animabai[quadro]
    end
  end
  
  --move o Bob
  if anima == true then
    --para a direita
    if animacao == "dir" then
      if jogador.x < bobposx  then
        jogador.x = jogador.x + math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/d0.png')
      end
    end
    --para a esquerda
    if animacao == "esq" then
      if jogador.x > bobposx  then
        jogador.x = jogador.x - math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/e0.png')
      end
    end
    --para baixo
    if animacao == "bai" then
      if jogador.y < bobposy  then
        jogador.y = jogador.y + math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/b0.png')
      end
    end
    --para cima
    if animacao == "cim" then
      if jogador.y > bobposy  then
        jogador.y = jogador.y - math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/c0.png')
      end
    end
  end
  
  --variáveis que cuidam do ponto de colisão do jogador
  if podeCair == true then --só agem quando o Bob está sobre alguma base
    posx = (jogador.x+15.5)*eL
    posy = (jogador.y+50)*eA
  end
  --cuida da colisão do jogador com cada base  
  for j,k in ipairs(tb1) do
    if posx > k.x*eL and posx < (k.x+32)*eL and posy > k.y*eA and posy < (k.y+32)*eA then
    --se houver, muda as variáveis da base em colisão
      k.pisou = 1
      k.pisado = 1
    else
      k.pisado = 0
    end
    --e através dessas variáveis, muda a cor da base dependendo da imagem da base atual
    if k.pisou == 1 and k.pisado == 0 and k.base == 4 then 
      k.img = love.graphics.newImage('imagens/bases/base3.png')
      k.pisou = 0
      k.base = 3
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 3 then
      k.img = love.graphics.newImage('imagens/bases/base2.png')
      k.base = 2
      k.pisou = 0
    elseif k.pisou == 1 and k.pisado == 1 and k.base == 5 then
      teletransporte = true
      table.remove(tb1,j)
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 2 then
      k.base = 0
      k.img = nil
      sndpasso:play()
      contagemBases = contagemBases - 1
      pontos_final = pontos_final + 1
    elseif k.pisou == 1 and k.pisado == 1 and k.base == 0 then
      --impede que o Bob se mova quando cai
      podeMover = false
      --faz o Bob deslocar um pouco para baixo para compensar o deslocamento visual causado pela diminuição
      podeCair = false --essa variável serve para evitar que o ponto de colisão desça junto com o sprite do Bob
      jogador.y = jogador.y + 64 * dt
      --diminui o Bob para simular a queda
      jogador.escalaY = jogador.escalaY - 1 * dt
      jogador.escalaX = jogador.escalaX - 1 * dt
    end    
  end
  --faz o nível recarregar quando o Bob cai
  --ou ir para a tela de game over se não tiver mais vidas
  if jogador.escalaY < 0 or vital < 1 then
    if vital < 1 then
      morreu = morreu + 1 * dt
      if morreu > 3 then
        if vidas == 1 then
          tela = 3
          mudaMenu = 3
          vital = 100
          love.load()
        else
          love.audio.stop()
          vidas = vidas - 1
          vital = 100
          love.load()
        end
      end
    else
      if vidas == 1 then
        love.audio.stop()
        tela = 3
        mudaMenu = 3
        love.load()
      else
        love.audio.stop()
        vidas = vidas - 1
        love.load()
      end
    end
  end
  --faz passar de fase quando todas as bases amarelas forem coletadas
  if contagemBases == 0 then
    --impede que a vital do Bob seja tirada
    tiraVital = false
    --impede que o Bob mova quando passa de fase
    podeMover = false
    if tempo > 1 then
      tempo = tempo - 1
      pontos_final = pontos_final + 1
      sndpontos:play()
    else
      sndpontos:stop()
    end
    aguarda = aguarda + 1 * dt
  else
    --atualiza o temporizador
    if tempo > 1 then
      tempo = tempo - 1 * dt
    end
  end
end

function love.keypressed(key)
  if podeMover == true and vital > 1 and anima == false then
    if key == "right" then
      bobposx = bobposx + 32
      bobImagem = 1
    elseif key == "left" then
      bobposx = bobposx - 32
      bobImagem = 2
    elseif key == "down" then
      bobposy = bobposy + 32
      bobImagem = 3
    elseif key == "up" then
      bobposy = bobposy - 32
      bobImagem = 4
    end
    if tela > 7 and tela < 16 then
      if distancia < 50 or distancia1 < 50 or distancia2 < 50 then
        if key == "space" then
          jogador.img = love.graphics.newImage('imagens/jogador/abaixado.png')
          tiraVital = false
          bobImagem = 5
        end
      end
    end
  end
end

function love.keyreleased(key)
  if podeMover == true and vital > 1 and anima == false then
    if key == "right" then
      anima = true
      animacao = "dir"
    elseif key == "left" then
      anima = true
      animacao = "esq"
    elseif key == "down" then
      anima = true
      animacao = "bai"
    elseif key == "up" then
      anima = true
      animacao = "cim"
    elseif key == "space" then
      jogador.img = love.graphics.newImage('imagens/jogador/b0.png')
      bobImagem = 2
      tiraVital = true
    end
    if key == "escape" then
      tela = 3
      love.load()
    end
  end
end

function desenhaControle(dt)
  --desenha o painel
  love.graphics.draw(painel,420,0)
  
  --dependendo do idioma, escreve
  if idioma == "en" then
    love.graphics.print("Score: ",480,90)
    love.graphics.print("Life: ",480,120)
    love.graphics.print("Health: ",480,150)
    love.graphics.print("Level: ",480,180)
    love.graphics.print("Time: ",480,210)
  else
    love.graphics.print("Pontos: ",480,90)
    love.graphics.print("Vidas: ",480,120)
    love.graphics.print("Vital: ",480,150)
    love.graphics.print("Nivel: ",480,180)
    love.graphics.print("Tempo: ",480,210)
  end
    love.graphics.print(pontos_final,550,90)
    love.graphics.print(vidas,550,120)
    love.graphics.print(math.floor(vital),550,150)
    love.graphics.print(fase,550,180)
    love.graphics.print(math.floor(tempo),550,210)
    --os parabéns
    if contagemBases == 0 then
      love.graphics.draw(parabens.img,parabens.x,parabens.y)
    end
end