function carregaControle1()
  --carrega o arquivo responsável pelos audios
  audio = love.filesystem.load("audio/audio.lua")
  audio()
  carregaAudio()
  --variável que cuida da exibição do Bob
  desenhaBob = true
  --variável para saber qual imagem está sendo utilizada pelo Bob
  bobImagem = 4
  --cria a água
  agua = {x=nil,y=nil,img=nil}
  --animacao da água
  animaAgua = {}
  local a = nil
  for a=1,4 do
    animaAgua[a] = love.graphics.newImage("imagens/cenario/agua"..a..".png")
  end
  contadorAgua = 0
  quadroAgua = 1
  --variável que cuida da exibição da água
  desenhaAgua = false
  --temporizador
  tempo = 60
  --segundo temporizador
  aguarda = 0
  --variável utilizada para contar as base desaparecidas
  contagemBases = 0
  --variável que impede o Bob de andar quando está caindo
  podeMover = true
  --variáveis responsáveis pela pontuação
  pontos_final = 0
  pontos_final = pontos_final + pontos
  --teletransporta o Bob quando pisa em uma base 5
  teletransporte = false
  --carrega as imagens dos direcionais
  esq = {x=440,y=400,img=love.graphics.newImage('imagens/botoes/btn_esquerda.png')}
  baixo = {x=505,y=400,img=love.graphics.newImage('imagens/botoes/btn_baixo.png')}
  cima = {x=505,y=330,img=love.graphics.newImage('imagens/botoes/btn_cima.png')}
  dir = {x=570,y=400,img=love.graphics.newImage('imagens/botoes/btn_direita.png')}
  --carrega a imagem do painel
  painel = love.graphics.newImage('imagens/cenario/painel.png')
  --imagem de parabéns
  parabens = {x=40,y=300,img=love.graphics.newImage("imagens/cenario/parabens_"..idioma..".png")}
  --carrega as imagens das bases
  bases = {}
  for a=1,5 do
    bases[a] = love.graphics.newImage('imagens/bases/base'..a..'.png')
  end  
  --cria uma grade no campo de jogo  
  tbLinha = {0,32,64,96,128,160,192,224,256,288,320,352,384,416}
  tbColuna = {32,64,96,128,160,192,224,256,288,320,352,384,416,448}
  --tabela contendo cada base em sua devida posição
  tb1={}
  --coloca cada base em tb1 
  local contador = 0
  for b=1,#tbColuna do
    local coluna=tbColuna[b]
    for c=1,#tbLinha do
      linha=tbLinha[c]
      contador = contador + 1
      local base=tb[contador]
      if base == 0 then
        ba={x=linha,y=coluna,pisou=0,pisado=0,base=0}
        table.insert(tb1,ba)
      elseif base == 1 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=1}
        table.insert(tb1,ba)
      elseif base == 2 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=2}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 3 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=3}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 4 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=4}
        table.insert(tb1,ba)
        contagemBases = contagemBases + 1
      elseif base == 5 then
        ba={x=linha,y=coluna,img=bases[base],pisou=0,pisado=0,base=5}
        table.insert(tb1,ba)
      end      
    end
  end
  --cria o jogador
  jogador = {x=nil,y=nil,escalaX=1,escalaY=1,img=love.graphics.newImage('imagens/jogador/d0.png')}
  
  --animacoes
  animadir = {}
  animaesq = {}
  animacim = {}
  animabai = {}
  animacao = "dir"
  anima = false
  contadorAnimacao = 0
  quadro = 1
  local c = nil
  for c=1,8 do
    animadir[c] = love.graphics.newImage('imagens/jogador/d'..c..'.png')
    animaesq[c] = love.graphics.newImage('imagens/jogador/e'..c..'.png')
    animacim[c] = love.graphics.newImage('imagens/jogador/c'..c..'.png')
    animabai[c] = love.graphics.newImage('imagens/jogador/b'..c..'.png')
  end
end

--//////////////atualiza//////////////////////////////////////////////
function atualizaControle1(dt)
  --animacoes
  if anima == true then
    contadorAnimacao = contadorAnimacao + dt
    if contadorAnimacao >= 0.05 then
      contadorAnimacao = 0
      quadro = quadro + 1
      if quadro == 8 then
        quadro = 1
      end
    end
    if animacao == "dir" then
      jogador.img = animadir[quadro]
    elseif animacao == "esq" then
      jogador.img = animaesq[quadro]
    elseif animacao == "cim" then
      jogador.img = animacim[quadro]
    elseif animacao == "bai" then
      jogador.img = animabai[quadro]
    end
  end
  
  --move o Bob
  if anima == true then
    --para a direita
    if animacao == "dir" then
      if jogador.x < bobposx  then
        jogador.x = jogador.x + math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/d0.png')
      end
    end
    --para a esquerda
    if animacao == "esq" then
      if jogador.x > bobposx  then
        jogador.x = jogador.x - math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/e0.png')
      end
    end
    --para baixo
    if animacao == "bai" then
      if jogador.y < bobposy  then
        jogador.y = jogador.y + math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/b0.png')
      end
    end
    --para cima
    if animacao == "cim" then
      if jogador.y > bobposy  then
        jogador.y = jogador.y - math.min(100 * dt,32)
      else
        anima = false
        jogador.img = love.graphics.newImage('imagens/jogador/c0.png')
      end
    end
  end
  
  --variáveis que cuidam do ponto de colisão do jogador
  posx = (jogador.x+15.5)*eL
  posy = (jogador.y+50)*eA
  --cuida da colisão do jogador com cada base  
  for j,k in ipairs(tb1) do
    if posx > k.x*eL and posx < (k.x+32)*eL and posy > k.y*eA and posy < (k.y+32)*eA then
    --se houver, muda as variáveis da base em colisão
      k.pisou = 1
      k.pisado = 1
    else
      k.pisado = 0
    end
    --e através dessas variáveis, muda a cor da base dependendo da imagem da base atual
    if k.pisou == 1 and k.pisado == 0 and k.base == 4 then 
      k.img = love.graphics.newImage('imagens/bases/base3.png')
      k.pisou = 0
      k.base = 3
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 3 then
      k.img = love.graphics.newImage('imagens/bases/base2.png')
      k.base = 2
      k.pisou = 0
    elseif k.pisou == 1 and k.pisado == 1 and k.base == 5 then
      teletransporte = true
      table.remove(tb1,j)
    elseif k.pisou == 1 and k.pisado == 0 and k.base == 2 then
      k.base = 0
      k.img = nil
      contagemBases = contagemBases - 1
      pontos_final = pontos_final + 1
    elseif k.pisou == 1 and k.pisado == 1 and k.base == 0 then
      --faz o Bob sumir
      desenhaBob = false
      --impede que o Bob se mova quando cai
      podeMover = false
      --pega a posição do Bob para posicionar a água no lugar onde ele cair
      --esquerda ou direita
      if bobImagem == 1 or bobImagem == 4 then
        agua.x = jogador.x
        agua.y = jogador.y + 30
      end
      --baixo e cima
      if bobImagem == 2 or bobImagem == 3 then
        agua.x = jogador.x - 5
        agua.y = jogador.y + 30
      end
      desenhaAgua = true
    end
  end
  
  --faz passar de fase quando todas as bases amarelas forem coletadas
  if contagemBases == 0 then
    --impede que o Bob mova quando passa de fase
    podeMover = false
    if tempo > 1 then
      tempo = tempo - 1
      pontos_final = pontos_final + 1
      sndpontos:play()
    else
      sndpontos:stop()
    end
    aguarda = aguarda + 1 * dt
  else
    --atualiza o temporizador
    if tempo > 1 then
      tempo = tempo - 1 * dt
    end
  end
  --anima a água
  if desenhaAgua == true then
    contadorAgua = contadorAgua + dt
    if contadorAgua >= 0.3 then
      contadorAgua = 0
      quadroAgua = quadroAgua + 1
    end
  end
  --faz a imagem da água ser a animação
  agua.img = animaAgua[quadroAgua]
  --faz reiniciar a fase quando o Bob cai ou se ele sair da cena
  if quadroAgua > 3 or jogador.y > 680*eA then
    if vidas > 1 then
        vidas = vidas - 1
        love.audio.stop()
        love.load()
    elseif vidas == 1 then
      --ou ir para a tela de game over
      tela = 3
      mudaMenu = 3
      love.load()
    end
  end
end

function love.mousepressed(x,y,button)
  --cuida da mudança de sprite do Bob pelo direcional
  --podeMover como false impede que o sprite mude quando o Bob estiver caindo
  if button == 1 and podeMover == true and vital > 1 then
    --direita
    if x > dir.x*eL and x < (dir.x+55)*eL and y > dir.y*eA and y < (dir.y+55)*eA then
      if anima == false then
        bobposx = bobposx + 32
      end
      bobImagem = 1
    --esquerda
    elseif x > esq.x*eL and x < (esq.x+55)*eL and y > esq.y*eA and y < (esq.y+55)*eA and jogador.x > 32 then
      if anima == false then
        bobposx = bobposx - 32
      end
      bobImagem = 2
    --baixo
    elseif x > baixo.x*eL and x < (baixo.x+55)*eL and y > baixo.y*eA and y < (baixo.y+55)*eA then
      if anima == false then
        bobposy = bobposy + 32
      end
      bobImagem = 3
    --cima
    elseif x > cima.x*eL and x < (cima.x+55)*eL and y > cima.y*eA and y < (cima.y+55)*eA then
      if anima == false then
        bobposy = bobposy - 32
      end
      bobImagem = 4
    --permite que o jogador se abaixe quando o pássaro se aproxima
    elseif tela > 7 and tela < 16 then
      if distancia < 50 or distancia1 < 50 or distancia2 < 50 then
        if x > 0*eL and x < 450*eL then
          jogador.img = love.graphics.newImage('imagens/jogador/abaixado.png')
          tiraVital = false
          bobImagem = 5
        end
      end
    end
  end
end

function love.mousereleased(x,y,button,istouch)
  --podeMover sendo false, impede que o Bob mova quando estiver caindo
  if button == 1 then
    if podeMover == true and vital > 1 then
      --move para a direita
      if x > dir.x*eL and x < (dir.x+55)*eL and y > dir.y*eA and y < (dir.y+55)*eA then
        if anima == false then
          anima = true
          animacao = "dir"
        end
      --move para a esquerda
      elseif x > esq.x*eL and x < (esq.x+55)*eL and y > esq.y*eA and y < (esq.y+55)*eA then
        if anima == false then
          anima = true
          animacao = "esq"
        end
      --move para baixo
      elseif x > baixo.x*eL and x < (baixo.x+55)*eL and y > baixo.y*eA and y < (baixo.y+55)*eA then
        if anima == false then
          anima = true
          animacao = "bai"
        end
      --move para cima
      elseif x > cima.x*eL and x < (cima.x+55)*eL and y > cima.y*eA and y < (cima.y+55)*eA then
        if anima == false then
          anima = true
          animacao = "cim"
        end
      --faz o Bob levantar-se
      elseif x > 0*eL and x < 450*eL then
          jogador.img = love.graphics.newImage('imagens/jogador/b0.png')
          bobImagem = 2
          tiraVital = true
      elseif x > menu.x*eL and x < (menu.x+83)*eL and y > menu.y*eA and y < (menu.y+42)*eA then
          sndfase:stop()
          tela = 3
          love.load()
      end
    end
    --ativa e desativa a música
    if x > 480*eL and x < 512*eL and y > 0*eA and y < 32*eA then
      if musica == true then
        musica = false
      else
        musica = true
      end
    end
  end
end

function desenhaControle1(dt)
  --desenha os direcionais
  love.graphics.draw(esq.img,esq.x,esq.y)
  love.graphics.draw(baixo.img,baixo.x,baixo.y)
  love.graphics.draw(cima.img,cima.x,cima.y)
  love.graphics.draw(dir.img,dir.x,dir.y)
  --desenha o painel
  love.graphics.draw(painel,420,0)
  
  --dependendo do idioma, escreve
  if idioma == "en" then
    love.graphics.print("Score: ",480,90)
    love.graphics.print("Life: ",480,120)
    love.graphics.print("Health: ",480,150)
    love.graphics.print("Level: ",480,180)
    love.graphics.print("Time: ",480,210)
  else
    love.graphics.print("Pontos: ",480,90)
    love.graphics.print("Vidas: ",480,120)
    love.graphics.print("Vital: ",480,150)
    love.graphics.print("Nivel: ",480,180)
    love.graphics.print("Tempo: ",480,210)
  end
    love.graphics.print(pontos_final,550,90)
    love.graphics.print(vidas,550,120)
    love.graphics.print(math.floor(vital),550,150)
    love.graphics.print(fase,550,180)
    love.graphics.print(math.floor(tempo),550,210)
    --desenha a água
    if desenhaAgua == true then
      love.graphics.draw(agua.img,agua.x,agua.y)
    end
        --os parabéns
    if contagemBases == 0 then
      love.graphics.draw(parabens.img,parabens.x,parabens.y)
    end
end